找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
广告投放联系QQ68610888
查看: 1915|回复: 14

求个golang 1.23的源。

[复制链接]
发表于 2023-11-19 18:34 | 显示全部楼层 |阅读模式
本帖最后由 iamyangyi 于 2023-11-19 18:35 编辑

求个golang 1.23的源。找半天硬是没找到。先谢谢
发表于 2023-11-19 18:42 | 显示全部楼层
go 1.23 的源是什么意思?go sdk 下载地址吗?
https://go.dev/dl/go1.21.4.windows-amd64.zip
https://go.dev/dl/go1.21.4.windows-amd64.msi

点评

尴尬 我移动science了 也打不开  详情 回复 发表于 2023-11-19 18:51
EN XRAY-CORE 1.86 要golang 1.23 ,Building targets go: errors parsing go.mod: /home/yai/op/build_dir/target-aarch64_cortex-a53_musl/Xray-core-1.8.6/go.mod:3: invalid go version '1.21.4': must match for  详情 回复 发表于 2023-11-19 18:46
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-19 18:46 | 显示全部楼层
zzu 发表于 2023-11-19 18:42
go 1.23 的源是什么意思?go sdk 下载地址吗?
https://go.dev/dl/go1.21.4.windows-amd64.zip
https://go. ...

EN XRAY-CORE 1.86 要golang 1.23 ,Building targets
go: errors parsing go.mod:
/home/yai/op/build_dir/target-aarch64_cortex-a53_musl/Xray-core-1.8.6/go.mod:3: invalid go version '1.21.4': must match format 1.23
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-19 18:51 | 显示全部楼层
zzu 发表于 2023-11-19 18:42
go 1.23 的源是什么意思?go sdk 下载地址吗?
https://go.dev/dl/go1.21.4.windows-amd64.zip
https://go. ...

尴尬 我移动science了 也打不开 要 UBUNTU下的
回复 支持 反对

使用道具 举报

发表于 2023-11-19 18:56 | 显示全部楼层
把go.mod里的版本,改成你当前安装的1.21.4直接编译试试?
或者把机器上的golang版本重装,装成1.23版本的

点评

本这样想过,我怕生成有问题,所以想找个1。23的,  详情 回复 发表于 2023-11-19 19:07
回复 支持 反对

使用道具 举报

发表于 2023-11-19 18:57 | 显示全部楼层
去它马的go,听到都冒火

点评

我今天终于体会到了  详情 回复 发表于 2023-11-19 19:05
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-19 19:05 | 显示全部楼层
本帖最后由 iamyangyi 于 2023-11-19 19:07 编辑
wulishui 发表于 2023-11-19 18:57
去它马的go,听到都冒火

我今天终于体会到 你为啥烦GOLANG类了
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-19 19:07 | 显示全部楼层
huyuwei1996 发表于 2023-11-19 18:56
把go.mod里的版本,改成你当前安装的1.21.4直接编译试试?
或者把机器上的golang版本重装,装成1.23版本的 ...

本这样想过,我怕生成有问题,所以想找个1。23的,
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-19 20:18 | 显示全部楼层
搞定了
回复 支持 反对

使用道具 举报

发表于 2023-11-19 20:29 | 显示全部楼层
Go 目前最新版本是 1.21.4 版本,你编译时报错 invalid go version '1.21.4': must match format 1.23 的大概意思是:Xray-core-1.8.6/go.mod 的声明需要最低 Go 版本是 1.23 ,但你用的是 go1.21.4 低于 go1.23。实际上到目前为止 go 未发布到 1.23 这个版本,我猜测可能是谁手误改了 go.mod 文件,也或者是有人修改过你要编译的源码了,我个人建议你不要再使用之前下载的源码了。

根据你提供的信息我猜测你要编译 https://github.com/XTLS/Xray-core 这个软件,我看了 GitHub 源码中的 go.mod 是 go1.21 是没问题的。其实这个库的官方已经有编译好了源码,可以到 https://github.com/XTLS/Xray-core/releases 这个地方下载,GitHub 访问可能需要自备“师夷长技以制夷”或者隔一会多试几次。

点评

我用官方源试下  详情 回复 发表于 2023-11-20 19:02
感谢,我感觉有可能有后门了,不能伪装IP。然怪被改了。  详情 回复 发表于 2023-11-20 18:57
我提交了ISSUE,也发现是BUG,搞定了  详情 回复 发表于 2023-11-19 21:01
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-19 21:01 | 显示全部楼层
zzu 发表于 2023-11-19 20:29
Go 目前最新版本是 1.21.4 版本,你编译时报错 invalid go version '1.21.4': must match format 1.23 的大 ...

我提交了ISSUE,也发现是BUG,搞定了

点评

/home/tim/openwrt/build_dir/target-x86_64_musl/Xray-core-1.8.6/go.mod:3: invalid go version '1.21.4': must match format 1.23 Building targets go: errors parsing go.mod: /home/tim/openwrt/build_dir/ta  详情 回复 发表于 2024-1-14 17:26
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-20 18:57 | 显示全部楼层
本帖最后由 iamyangyi 于 2023-11-20 18:58 编辑
zzu 发表于 2023-11-19 20:29
Go 目前最新版本是 1.21.4 版本,你编译时报错 invalid go version '1.21.4': must match format 1.23 的大 ...

感谢,我感觉有可能有和谐了,伪装IP一直不成功。然怪被改了。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-11-20 19:02 | 显示全部楼层
zzu 发表于 2023-11-19 20:29
Go 目前最新版本是 1.21.4 版本,你编译时报错 invalid go version '1.21.4': must match format 1.23 的大 ...

我用官方源试下
回复 支持 反对

使用道具 举报

发表于 2023-11-21 18:57 | 显示全部楼层
Go SDK 下载官网:https://go.dev/dl/
回复 支持 反对

使用道具 举报

发表于 2024-1-14 17:26 | 显示全部楼层
iamyangyi 发表于 2023-11-19 21:01
我提交了ISSUE,也发现是BUG,搞定了

/home/tim/openwrt/build_dir/target-x86_64_musl/Xray-core-1.8.6/go.mod:3: invalid go version '1.21.4': must match format 1.23

Building targets
go: errors parsing go.mod:
/home/tim/openwrt/build_dir/target-x86_64_musl/Xray-core-1.8.6/go.mod:3: invalid go version '1.21.4': must match format 1.23

make[2]: *** [Makefile:92: /home/tim/openwrt/build_dir/target-x86_64_musl/Xray-core-1.8.6/.built] Error 1
make[2]: Leaving directory '/home/tim/openwrt/package/feeds/tujj99/xray-core'
time: package/feeds/tujj99/xray-core/compile#3.13#1.84#5.83
    ERROR: package/feeds/tujj99/xray-core failed to build.
make[1]: *** [package/Makefile:120: package/feeds/tujj99/xray-core/compile] Error 1
make[1]: Leaving directory '/home/tim/openwrt'
make: *** [/home/tim/openwrt/include/toplevel.mk:230: package/luci-app-“师夷长技以制夷”2/compile] Error 2
相同的问题,兄弟怎么搞定的?
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关闭

欢迎大家光临恩山无线论坛上一条 /1 下一条

有疑问请添加管理员QQ86788181|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )

GMT+8, 2024-6-21 14:43

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

| 江苏省互联网有害信息举报中心 举报信箱:js12377 | @jischina.com.cn 举报电话:025-88802724 本站不良内容举报信箱:68610888@qq.com

快速回复 返回顶部 返回列表